Subject: bug#70062: issue with openldap managed users on HPC

From: Ludovic Courtès <[email-masked]>
Date: Mon, 27 May 2024 17:06:07 +0200

Hi Davide,

Sorry for the delay; it looks like your bug report fell through the
cracks.

Davide Corrado <[email-masked]> skribis:

> hello, I installed guix in a HPC environment and everything works as expected if I use guix as a local user. I got this issue when I try to run it as an openldap/sssd-managed user.
>
> example:
> [
> root@frontend ~]# id konrad
> uid=10000(konrad) gid=10000(hpc-users) groups=10000(hpc-users)
>
> [root@frontend ~]# getent passwd -s sss
> konrad:*:10000:10000:Davide Corrado:/home/konrad:/bin/bash
>
> [root@frontend ~]# su - konrad
> Last login: Thu Mar 28 11:04:07 CET 2024 on pts/0
> [konrad@frontend ~]$ id
> uid=10000(konrad) gid=10000(hpc-users) groups=10000(hpc-users)
> [konrad@frontend ~]$ guix install hello
> user with UID 10000 not found

I think this message shows the core of the problem.

Is nscd running on this machine, as per
<https://guix.gnu.org/manual/devel/en/html_node/Application-Setup.html#Name-Service-Switch-1>?

It has to be installed and running so that Guix-installed programs can
access the user account database etc.

A simple way to check whether this is working is by running the ‘id’
program of the ‘coreutils’ package provided by Guix, like so:

  guix shell coreutils -- id

HTH!

Ludo’.